Cyberduck Mountain Duck CLI

#5987 closed enhancement (fixed)

Bookmark with public key still prompts for password

Reported by: Jediknil Owned by: dkocher
Priority: normal Milestone: 4.1
Component: sftp Version: 4.0.2
Severity: normal Keywords: public key prompt authentication
Cc: Architecture:
Platform: Mac OS X 10.6

Description

I have an SFTP bookmark set up with a public key. Neither the public key nor the account I'm connecting to requires a password, but double-clicking the bookmark brings up the login sheet anyway. (Pressing "Login" without entering a password then works fine.)

This is because the decision whether or not to prompt a user for a password currently depends on whether or not keychain use is enabled. But the information about public keys is stored outside the keychain.

Patch attached, but I'm new to development here so I don't know if this is complete. In particular, I have no idea how to write a test for this.

Attachments (1)

AbstractLoginController.java.patch (1.3 KB) - added by Jediknil on Jun 2, 2011 at 9:01:16 AM.

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Jun 6, 2011 at 7:49:39 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.1
  • Owner set to dkocher

comment:2 Changed on Jun 7, 2011 at 9:12:55 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Thanks for the patch. In r8765.

Note: See TracTickets for help on using tickets.
swiss made software